# UI模块头文件
HEADERS += \
    $$PWD/recorder_main_widget.h \
    $$PWD/recorder_video_widget.h \
    $$PWD/recorder_audio_widget.h \
    $$PWD/recorder_settings_dialog.h \
    $$PWD/recorder_example_app.h

# UI模块源文件
SOURCES += \
    # $$PWD/recorder_main.cpp \
    $$PWD/recorder_main_widget.cpp \
    $$PWD/recorder_video_widget.cpp \
    $$PWD/recorder_audio_widget.cpp \
    $$PWD/recorder_settings_dialog.cpp \
    $$PWD/recorder_example_app.cpp

# Qt模块依赖
QT += core widgets opengl multimedia

# 编译器配置
CONFIG += c++17

# 包含路径
INCLUDEPATH += $$PWD
INCLUDEPATH += $$PWD/..
INCLUDEPATH += $$PWD/../..
INCLUDEPATH += $$PWD/../../..

# 依赖路径
DEPENDPATH += $$PWD
DEPENDPATH += $$PWD/..


# 资源文件
RESOURCES += $$PWD/recorder_ui.qrc
